Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 785)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 786)
@@ -247,17 +247,17 @@
     IGCM_debug_PushStack "IGCM_sys_Mkdir" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Mkdir :" $@
+      echo "IGCM_sys_Mkdir :" $@
     fi
     if [ ! -d ${1} ]; then
-	\mkdir -p $1
-	if [ $? -gt 0 ] ; then
-	    echo "IGCM_sys_Mkdir : erreur."
-	    IGCM_debug_Exit "IGCM_sys_Mkdir"
-	fi
+      \mkdir -p $1
+      if [ $? -gt 0 ] ; then
+        echo "IGCM_sys_Mkdir : erreur."
+        IGCM_debug_Exit "IGCM_sys_Mkdir"
+      fi
     fi
     # vérification :
     if [ ! -d ${1} ] ; then
-	echo "IGCM_sys_Mkdir : erreur."
-	IGCM_debug_Exit "IGCM_sys_Mkdir"
+      echo "IGCM_sys_Mkdir : erreur."
+      IGCM_debug_Exit "IGCM_sys_Mkdir"
     fi
     IGCM_debug_PopStack "IGCM_sys_Mkdir"
@@ -272,5 +272,5 @@
     IGCM_debug_PushStack "IGCM_sys_MkdirArchive" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_MkdirArchive :" $@
+      echo "IGCM_sys_MkdirArchive :" $@
     fi
     #- creation de repertoire sur le serveur fichier
@@ -278,6 +278,6 @@
 
     if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_MkdirArchive : erreur."
-	IGCM_debug_Exit "IGCM_sys_MkdirArchive"
+      echo "IGCM_sys_MkdirArchive : erreur."
+      IGCM_debug_Exit "IGCM_sys_MkdirArchive"
     fi
     IGCM_debug_PopStack "IGCM_sys_MkdirArchive"
@@ -292,13 +292,13 @@
     IGCM_debug_PushStack "IGCM_sys_MkdirWork" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_MkdirWork :" $@
+      echo "IGCM_sys_MkdirWork :" $@
     fi
     #- creation de repertoire sur le serveur fichier
     if [ ! -d ${1} ]; then 
-	\mkdir -p $1
-	if [ $? -gt 0 ] ; then
-	    echo "IGCM_sys_MkdirWork : erreur."
-	    IGCM_debug_Exit "IGCM_sys_MkdirWork"
-	fi
+      \mkdir -p $1
+      if [ $? -gt 0 ] ; then
+        echo "IGCM_sys_MkdirWork : erreur."
+        IGCM_debug_Exit "IGCM_sys_MkdirWork"
+      fi
     fi
     IGCM_debug_PopStack "IGCM_sys_MkdirWork"
@@ -313,10 +313,10 @@
     IGCM_debug_PushStack "IGCM_sys_Cd" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Cd :" $@
+      echo "IGCM_sys_Cd :" $@
     fi
     \cd $1
     if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_Cd : erreur."
-	IGCM_debug_Exit "IGCM_sys_Cd"
+      echo "IGCM_sys_Cd : erreur."
+      IGCM_debug_Exit "IGCM_sys_Cd"
     fi
     IGCM_debug_PopStack "IGCM_sys_Cd"
@@ -331,14 +331,14 @@
     IGCM_debug_PushStack "IGCM_sys_Chmod" -- $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Chmod :" $@
+      echo "IGCM_sys_Chmod :" $@
     fi
     if [ $DRYRUN -le 1 ]; then
-	\chmod $@
-	if [ $? -gt 0 ] ; then
-	    echo "IGCM_sys_Chmod : erreur."
-	    IGCM_debug_Exit "IGCM_sys_Chmod"
-	fi
+      \chmod $@
+      if [ $? -gt 0 ] ; then
+        echo "IGCM_sys_Chmod : erreur."
+        IGCM_debug_Exit "IGCM_sys_Chmod"
+      fi
     else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+      ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Chmod"
@@ -356,5 +356,5 @@
     set +A sizeF -- $( ls -la ${1} )
     if [ $? -gt 0 ] ; then
-	IGCM_debug_Exit "IGCM_sys_FileSize"
+      IGCM_debug_Exit "IGCM_sys_FileSize"
     fi
     eval ${2}=${sizeF[4]}
@@ -371,5 +371,5 @@
     IGCM_debug_PushStack "IGCM_sys_TestDir" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_TestDir :" $@
+      echo "IGCM_sys_TestDir :" $@
     fi
     typeset ExistFlag
@@ -388,5 +388,5 @@
     IGCM_debug_PushStack "IGCM_sys_TestDirArchive" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_TestDirArchive :" $@
+      echo "IGCM_sys_TestDirArchive :" $@
     fi
     typeset ExistFlag
@@ -420,5 +420,5 @@
     IGCM_sys_RshArchive "ls ${@} 2>/dev/null | wc -l"
     if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_CountFileArchive : erreur."
+      echo "IGCM_sys_CountFileArchive : erreur."
     fi
     IGCM_debug_PopStack "IGCM_sys_CountFileArchive"
@@ -433,5 +433,5 @@
     IGCM_debug_PushStack "IGCM_sys_Tree" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Tree :" $@
+      echo "IGCM_sys_Tree :" $@
     fi
 
@@ -449,10 +449,10 @@
     IGCM_debug_PushStack "IGCM_sys_Tar" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Tar :" $@
+      echo "IGCM_sys_Tar :" $@
     fi
     \tar cvf $@
     if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_Tar : erreur."
-	IGCM_debug_Exit "IGCM_sys_Tar"
+      echo "IGCM_sys_Tar : erreur."
+      IGCM_debug_Exit "IGCM_sys_Tar"
     fi
     \tar tvf $1
@@ -469,10 +469,10 @@
     IGCM_debug_PushStack "IGCM_sys_UnTar" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_UnTar :" $@
+      echo "IGCM_sys_UnTar :" $@
     fi
     \tar xvf $1
     if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_UnTar : erreur."
-	IGCM_debug_Exit "IGCM_sys_UnTar"
+      echo "IGCM_sys_UnTar : erreur."
+      IGCM_debug_Exit "IGCM_sys_UnTar"
     fi
     IGCM_debug_PopStack "IGCM_sys_UnTar"
@@ -487,5 +487,5 @@
     IGCM_debug_PushStack "IGCM_sys_Qsub" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Qsub :" $@
+      echo "IGCM_sys_Qsub :" $@
     fi
     {
@@ -494,6 +494,6 @@
     }
     if [ ${ERROR} -gt 0 ] ; then
-	echo "IGCM_sys_Qsub : erreur $@."
-	IGCM_debug_Exit "IGCM_sys_Qsub"
+      echo "IGCM_sys_Qsub : erreur $@."
+      IGCM_debug_Exit "IGCM_sys_Qsub"
     fi
     IGCM_debug_PopStack "IGCM_sys_Qsub"
@@ -508,5 +508,5 @@
     IGCM_debug_PushStack "IGCM_sys_QsubPost" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_QsubPost :" $@
+      echo "IGCM_sys_QsubPost :" $@
     fi
     cd ${POST_DIR}
@@ -514,6 +514,6 @@
     cd -
     if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_QsubPost : erreur " $@
-	IGCM_debug_Exit "IGCM_sys_QsubPost"
+      echo "IGCM_sys_QsubPost : erreur " $@
+      IGCM_debug_Exit "IGCM_sys_QsubPost"
     fi
     IGCM_debug_PopStack "IGCM_sys_QsubPost"
@@ -533,103 +533,103 @@
     RET=$1
     if [ ! $RET ] ; then
-	echo "rsync error !"
+      echo "rsync error !"
     fi
 
     if [ $MYLANG = "fr" ]; then
-	case $RET in
-	    0)  return ;;
-	    1)  echo "Erreur de rsync ; RERR_SYNTAX : "
-		echo "Erreur de syntaxe ou d'utilisation."
-		return;;
-	    2)  echo "Erreur de rsync ; RERR_PROTOCOL : "
-		echo "Incompatibilité de protocole."
-		return;;
-	    3)  echo "Erreur de rsync ; RERR_FILESELECT 3"
-		echo "Erreurs  lors  de  la  sélection des fichiers d'entrée sortie et"
-		echo "répertoires"
-		return;;
-	    4)  echo "Erreur de rsync ; RERR_UNSUPPORTED"
-		echo "Action demandée non supportée : une tentative de manipulation de"
-		echo "fichiers  64-bits  sur une plate-forme qui ne les supporte pas a"
-		echo "été faite ; ou une option qui est supportée par le  client  mais"
-		echo "pas par le serveur a été spécifiée."
-		return;;
-	    10) echo "Erreur de rsync ; RERR_SOCKETIO"
-		echo "Erreur dans le socket d'entrée sortie"
-		return;;
-	    11) echo "Erreur de rsync ; RERR_FILEIO"
-		echo "Erreur d'entrée sortie fichier"
-		return;;
-	    12) echo "Erreur de rsync ; RERR_STREAMIO"
-		echo "Erreur dans flux de donnée du protocole rsync"
-		return;;
-	    13) echo "Erreur de rsync ; RERR_MESSAGEIO"
-		echo "Erreur avec les diagnostics du programme"
-		return;;
-	    14) echo "Erreur de rsync ; RERR_IPC"
-		echo "Erreur dans le code IPC"
-		return;;
-	    20) echo "Erreur de rsync ; RERR_SIGNAL"
-		echo "SIGUSR1 ou SIGINT reçu"
-		return;;
-	    21) echo "Erreur de rsync ; RERR_WAITCHILD"
-		echo "Une erreur retournée par waitpid()"
-		return;;
-	    22) echo "Erreur de rsync ; RERR_MALLOC"
-		echo "Erreur lors de l'allocation des tampons de mémoire de coeur"
-		return;;
-	    23) echo ""
+      case $RET in
+          0)  return ;;
+          1)  echo "Erreur de rsync ; RERR_SYNTAX : "
+            echo "Erreur de syntaxe ou d'utilisation."
+            return;;
+          2)  echo "Erreur de rsync ; RERR_PROTOCOL : "
+            echo "Incompatibilité de protocole."
+            return;;
+          3)  echo "Erreur de rsync ; RERR_FILESELECT 3"
+            echo "Erreurs  lors  de  la  sélection des fichiers d'entrée sortie et"
+            echo "répertoires"
+            return;;
+          4)  echo "Erreur de rsync ; RERR_UNSUPPORTED"
+            echo "Action demandée non supportée : une tentative de manipulation de"
+            echo "fichiers  64-bits  sur une plate-forme qui ne les supporte pas a"
+            echo "été faite ; ou une option qui est supportée par le  client  mais"
+            echo "pas par le serveur a été spécifiée."
+            return;;
+          10) echo "Erreur de rsync ; RERR_SOCKETIO"
+            echo "Erreur dans le socket d'entrée sortie"
+            return;;
+          11) echo "Erreur de rsync ; RERR_FILEIO"
+            echo "Erreur d'entrée sortie fichier"
+            return;;
+          12) echo "Erreur de rsync ; RERR_STREAMIO"
+            echo "Erreur dans flux de donnée du protocole rsync"
+            return;;
+          13) echo "Erreur de rsync ; RERR_MESSAGEIO"
+            echo "Erreur avec les diagnostics du programme"
+            return;;
+          14) echo "Erreur de rsync ; RERR_IPC"
+            echo "Erreur dans le code IPC"
+            return;;
+          20) echo "Erreur de rsync ; RERR_SIGNAL"
+            echo "SIGUSR1 ou SIGINT reçu"
+            return;;
+          21) echo "Erreur de rsync ; RERR_WAITCHILD"
+            echo "Une erreur retournée par waitpid()"
+            return;;
+          22) echo "Erreur de rsync ; RERR_MALLOC"
+            echo "Erreur lors de l'allocation des tampons de mémoire de coeur"
+            return;;
+          23) echo ""
                 echo "Erreur fichier inexistant"
-		return;;
-	    30) echo "Erreur de rsync ; RERR_TIMEOUT"
-		echo "Temps d'attente écoulé dans l'envoi/réception de données"
-		return;;
-	    *)  echo "Erreur de rsync : code de retour de rsync inconnu :" $RET
-		return;;
-	esac
+            return;;
+          30) echo "Erreur de rsync ; RERR_TIMEOUT"
+            echo "Temps d'attente écoulé dans l'envoi/réception de données"
+            return;;
+          *)  echo "Erreur de rsync : code de retour de rsync inconnu :" $RET
+            return;;
+      esac
     elif [ $MYLANG = "en" ] ; then
-	case $RET in
-	    0)  return;;		
-	    1)  echo "rsync error : Syntax or usage error "
-		return;;
-	    2)  echo "rsync error : Protocol incompatibility "
-		return;;
-	    3)  echo "rsync error : Errors selecting input/output files, dirs"
-		return;;
-	    4)  echo "rsync error : Requested action not supported: an attempt"
-		echo "was made to manipulate 64-bit files on a platform that cannot support"
-		echo "them; or an option was specified that is supported by the client and"
-		echo "not by the server."
-		return;;
-	    5)  echo "rsync error : Error starting client-server protocol"
-		return;;
-	    10) echo "rsync error : Error in socket I/O "
-		return;;
-	    11) echo "rsync error : Error in file I/O "
-		return;;
-	    12) echo "rsync error : Error in rsync protocol data stream "
-		return;;
-	    13) echo "rsync error : Errors with program diagnostics "
-		return;;
-	    14) echo "rsync error : Error in IPC code "
-		return;;
-	    20) echo "rsync error : Received SIGUSR1 or SIGINT "
-		return;;
-	    21) echo "rsync error : Some error returned by waitpid() "
-		return;;
-	    22) echo "rsync error : Error allocating core memory buffers "
-		return;;
-	    23) echo "rsync error : Partial transfer due to error"
-		return;;
-	    24) echo "rsync error : Partial transfer due to vanished source files"
-		return;;
-	    30) echo "rsync error : Timeout in data send/receive "
-		return;;
-	    *)  echo "rsync error : return code of rsync unknown :" $RET
-		return;;
-	esac
+      case $RET in
+          0)  return;;        
+          1)  echo "rsync error : Syntax or usage error "
+            return;;
+          2)  echo "rsync error : Protocol incompatibility "
+            return;;
+          3)  echo "rsync error : Errors selecting input/output files, dirs"
+            return;;
+          4)  echo "rsync error : Requested action not supported: an attempt"
+            echo "was made to manipulate 64-bit files on a platform that cannot support"
+            echo "them; or an option was specified that is supported by the client and"
+            echo "not by the server."
+            return;;
+          5)  echo "rsync error : Error starting client-server protocol"
+            return;;
+          10) echo "rsync error : Error in socket I/O "
+            return;;
+          11) echo "rsync error : Error in file I/O "
+            return;;
+          12) echo "rsync error : Error in rsync protocol data stream "
+            return;;
+          13) echo "rsync error : Errors with program diagnostics "
+            return;;
+          14) echo "rsync error : Error in IPC code "
+            return;;
+          20) echo "rsync error : Received SIGUSR1 or SIGINT "
+            return;;
+          21) echo "rsync error : Some error returned by waitpid() "
+            return;;
+          22) echo "rsync error : Error allocating core memory buffers "
+            return;;
+          23) echo "rsync error : Partial transfer due to error"
+            return;;
+          24) echo "rsync error : Partial transfer due to vanished source files"
+            return;;
+          30) echo "rsync error : Timeout in data send/receive "
+            return;;
+          *)  echo "rsync error : return code of rsync unknown :" $RET
+            return;;
+      esac
     else
-	echo "unknown language $MYLANG."
-	return
+      echo "unknown language $MYLANG."
+      return
     fi
 }
@@ -643,5 +643,5 @@
     IGCM_debug_PushStack "IGCM_sys_Cp" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Cp :" $@
+      echo "IGCM_sys_Cp :" $@
     fi
 
@@ -653,7 +653,7 @@
 
     if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Cp : error."
-	cat out_rsync
-	IGCM_debug_Exit "IGCM_sys_Cp"
+      echo "IGCM_sys_Cp : error."
+      cat out_rsync
+      IGCM_debug_Exit "IGCM_sys_Cp"
     fi
     IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -668,5 +668,5 @@
     IGCM_debug_PushStack "IGCM_sys_Rm" -- $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Rm :" $@
+      echo "IGCM_sys_Rm :" $@
     fi
 
@@ -678,7 +678,7 @@
 
     if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Rm : error."
-	cat out_rsync
-	IGCM_debug_Exit "IGCM_sys_Rm"
+      echo "IGCM_sys_Rm : error."
+      cat out_rsync
+      IGCM_debug_Exit "IGCM_sys_Rm"
     fi
     IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -694,5 +694,5 @@
     IGCM_debug_PushStack "IGCM_sys_RmRunDir" -- $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_RmRunDir :" $@
+      echo "IGCM_sys_RmRunDir :" $@
     fi
 
@@ -704,9 +704,9 @@
 
     if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_RmRunDir : error."
-	cat out_rsync
-	IGCM_debug_Exit "IGCM_sys_RmRunDir"
+      echo "IGCM_sys_RmRunDir : error."
+      cat out_rsync
+      IGCM_debug_Exit "IGCM_sys_RmRunDir"
     else
-	\rm out_rsync
+      \rm out_rsync
     fi
 
@@ -722,5 +722,5 @@
     IGCM_debug_PushStack "IGCM_sys_Mv" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Mv :" $@
+      echo "IGCM_sys_Mv :" $@
     fi
 
@@ -728,9 +728,9 @@
 
         typeset RET
-            
+
         echo mv $@ > out_rsync 2>&1
         \mv $@ >> out_rsync 2>&1
         RET=$?
-    
+
         if [ ${RET} -gt 0 ] ; then
             echo "IGCM_sys_Mv : error in mv."
@@ -753,29 +753,29 @@
     IGCM_debug_PushStack "IGCM_sys_Put_Dir" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Put_Dir :" $@
+      echo "IGCM_sys_Put_Dir :" $@
     fi
     if [ $DRYRUN = 0 ]; then
-	if [ ! -d ${1} ] ; then
-	    echo "WARNING : IGCM_sys_Put_Dir ${1} DOES NOT EXIST ."
-	    IGCM_debug_PopStack "IGCM_sys_Put_Dir"
-	    return
-	fi
-
-	typeset RET
-
-	# Only if we use rsync
-	#IGCM_sys_TestDirArchive $( dirname $2 )
-	#
-	#USUAL WAY
-	\cp -r $1 $2 > out_rsync 2>&1
-  	RET=$?
-
-	if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Put_Dir : error."
-	    cat out_rsync
-	    IGCM_debug_Exit "IGCM_sys_Put_Dir"
-	fi
+      if [ ! -d ${1} ] ; then
+          echo "WARNING : IGCM_sys_Put_Dir ${1} DOES NOT EXIST ."
+          IGCM_debug_PopStack "IGCM_sys_Put_Dir"
+          return
+      fi
+
+      typeset RET
+
+      # Only if we use rsync
+      #IGCM_sys_TestDirArchive $( dirname $2 )
+      #
+      #USUAL WAY
+      \cp -r $1 $2 > out_rsync 2>&1
+      RET=$?
+
+      if [ ${RET} -gt 0 ] ; then
+          echo "IGCM_sys_Put_Dir : error."
+          cat out_rsync
+          IGCM_debug_Exit "IGCM_sys_Put_Dir"
+      fi
     else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+      ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Dir"
@@ -790,26 +790,26 @@
     IGCM_debug_PushStack "IGCM_sys_Get_Dir" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Get_Dir :" $@
+      echo "IGCM_sys_Get_Dir :" $@
     fi
     if [ $DRYRUN = 0 ]; then
-	if [ ! -d ${1} ] ; then
-	    echo "WARNING : IGCM_sys_Get_Dir ${1} DOES NOT EXIST ."
-	    IGCM_debug_PopStack "IGCM_sys_Get_Dir"
-	    return
-	fi
-
-	typeset RET
-
-	#USUAL WAY
-	\cp -rp $1 $2 > out_rsync 2>&1
-  	RET=$?
-
-	if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Get_Dir : error."
-	    cat out_rsync
-	    IGCM_debug_Exit "IGCM_sys_Get_Dir"
-	fi
+      if [ ! -d ${1} ] ; then
+          echo "WARNING : IGCM_sys_Get_Dir ${1} DOES NOT EXIST ."
+          IGCM_debug_PopStack "IGCM_sys_Get_Dir"
+          return
+      fi
+
+      typeset RET
+
+      #USUAL WAY
+      \cp -rp $1 $2 > out_rsync 2>&1
+      RET=$?
+
+      if [ ${RET} -gt 0 ] ; then
+          echo "IGCM_sys_Get_Dir : error."
+          cat out_rsync
+          IGCM_debug_Exit "IGCM_sys_Get_Dir"
+      fi
     else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+      ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Dir"
@@ -824,5 +824,5 @@
     IGCM_debug_PushStack "IGCM_sys_Get_Master" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Get_Master :" $@
+      echo "IGCM_sys_Get_Master :" $@
     fi
     if [ $DRYRUN = 0 ]; then
@@ -845,5 +845,5 @@
         fi
     else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+      ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Master"
@@ -859,32 +859,32 @@
     IGCM_debug_PushStack "IGCM_sys_Put_Rest" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Put_Rest :" $@
+      echo "IGCM_sys_Put_Rest :" $@
     fi
     if [ $DRYRUN = 0 ]; then
-	if [ ! -f ${1} ] ; then
-	    echo "ERROR : IGCM_sys_Put_Rest ${1} DOES NOT EXIST ."
-	    IGCM_debug_Exit "IGCM_sys_Put_Rest"
-	fi
-
-	typeset RET
-	#
-	if [ X${JobType} = XRUN ] ; then
-	    IGCM_sys_Chmod 444 ${1}
-	fi
-	#
-	# Only if we use rsync
-	#IGCM_sys_MkdirArchive $( dirname $2 )
-	#
-	#USUAL WAY
-	\cp $1 $2 > out_rsync 2>&1
-  	RET=$?
-
-	if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Put_Rest : error."
-	    cat out_rsync
-	    IGCM_debug_Exit "IGCM_sys_Put_Rest"
-	fi
+      if [ ! -f ${1} ] ; then
+          echo "ERROR : IGCM_sys_Put_Rest ${1} DOES NOT EXIST ."
+          IGCM_debug_Exit "IGCM_sys_Put_Rest"
+      fi
+
+      typeset RET
+      #
+      if [ X${JobType} = XRUN ] ; then
+          IGCM_sys_Chmod 444 ${1}
+      fi
+      #
+      # Only if we use rsync
+      #IGCM_sys_MkdirArchive $( dirname $2 )
+      #
+      #USUAL WAY
+      \cp $1 $2 > out_rsync 2>&1
+      RET=$?
+
+      if [ ${RET} -gt 0 ] ; then
+          echo "IGCM_sys_Put_Rest : error."
+          cat out_rsync
+          IGCM_debug_Exit "IGCM_sys_Put_Rest"
+      fi
     else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+      ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Rest"
@@ -899,34 +899,34 @@
     IGCM_debug_PushStack "IGCM_sys_Put_Out" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Put_Out :" $@
+      echo "IGCM_sys_Put_Out :" $@
     fi
     if [ $DRYRUN = 0 ]; then
-	if [ ! -f ${1} ] ; then
-	    echo "WARNING : IGCM_sys_Put_Out ${1} DOES NOT EXIST ."
-	    IGCM_debug_PopStack "IGCM_sys_Put_Out"
-	    return 1
-	fi
-	#
-	IGCM_sys_MkdirArchive $( dirname $2 )
-	#
-	typeset RET
-	#
-	if [ X${JobType} = XRUN ] ; then
-	    if [ X${3} = X ] ; then
-		IGCM_sys_Chmod 444 ${1}
-	    fi
-	fi
-	#
-	#USUAL WAY
-	\cp $1 $2 > out_rsync 2>&1
-	RET=$?
-
-	if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Put_Out : error."
-	    cat out_rsync
-	    IGCM_debug_Exit "IGCM_sys_Put_Out"
-	fi
+      if [ ! -f ${1} ] ; then
+          echo "WARNING : IGCM_sys_Put_Out ${1} DOES NOT EXIST ."
+          IGCM_debug_PopStack "IGCM_sys_Put_Out"
+          return 1
+      fi
+      #
+      IGCM_sys_MkdirArchive $( dirname $2 )
+      #
+      typeset RET
+      #
+      if [ X${JobType} = XRUN ] ; then
+          if [ X${3} = X ] ; then
+            IGCM_sys_Chmod 444 ${1}
+          fi
+      fi
+      #
+      #USUAL WAY
+      \cp $1 $2 > out_rsync 2>&1
+      RET=$?
+
+      if [ ${RET} -gt 0 ] ; then
+          echo "IGCM_sys_Put_Out : error."
+          cat out_rsync
+          IGCM_debug_Exit "IGCM_sys_Put_Out"
+      fi
     else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+      ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -945,46 +945,46 @@
 
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Get :" $@
+      echo "IGCM_sys_Get :" $@
     fi
     if [ $DRYRUN -le 2 ]; then
-	if [ X${1} = X'/l' ] ; then
+      if [ X${1} = X'/l' ] ; then
             # test if the first file is present in the old computation :
-	    eval set +A dm_liste \${${2}}
-	else
-	    dm_liste=${1}
-	fi
-	eval DEST=\${${#}}
+          eval set +A dm_liste \${${2}}
+      else
+          dm_liste=${1}
+      fi
+      eval DEST=\${${#}}
 
         # test if the (first) file is present in the old computation :
-	IGCM_sys_TestFileArchive ${dm_liste[0]}
-	RET=$?
+      IGCM_sys_TestFileArchive ${dm_liste[0]}
+      RET=$?
         if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Get, ERROR : regular file ${dm_liste[0]} DOES NOT EXIST ."
-	    IGCM_debug_Exit "IGCM_sys_Get"
-	    return
+          echo "IGCM_sys_Get, ERROR : regular file ${dm_liste[0]} DOES NOT EXIST ."
+          IGCM_debug_Exit "IGCM_sys_Get"
+          return
         fi
 
-	# SD : dm_liste is not suited for computing job
-	#      because we change filename during transfert
-	#      dm_liste is better suited for post-treatment
-	#dm_liste=" "
-  	#(( ifile=1 ))
-	#while [ $ifile -lt $# ] ; do
-	#    dm_liste=$( eval echo ${dm_liste} " "\${${ifile}} )
-	#    (( ifile = ifile + 1 ))
-	#done
-	#DEST=$( eval echo \${${#}} )
-
-	#USUAL WAY
-	\cp ${dm_liste[*]} ${DEST} > out_rsync 2>&1
-  	RET=$?
-
-	if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Get : copy error."
-	    cat out_rsync
-	    IGCM_debug_Exit "IGCM_sys_Get"
-	fi
+      # SD : dm_liste is not suited for computing job
+      #      because we change filename during transfert
+      #      dm_liste is better suited for post-treatment
+      #dm_liste=" "
+      #(( ifile=1 ))
+      #while [ $ifile -lt $# ] ; do
+      #    dm_liste=$( eval echo ${dm_liste} " "\${${ifile}} )
+      #    (( ifile = ifile + 1 ))
+      #done
+      #DEST=$( eval echo \${${#}} )
+
+      #USUAL WAY
+      \cp ${dm_liste[*]} ${DEST} > out_rsync 2>&1
+      RET=$?
+
+      if [ ${RET} -gt 0 ] ; then
+          echo "IGCM_sys_Get : copy error."
+          cat out_rsync
+          IGCM_debug_Exit "IGCM_sys_Get"
+      fi
     else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+      ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get"
@@ -1001,5 +1001,5 @@
     IGCM_debug_PushStack "IGCM_sys_FichWork" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_GetDate_FichWork :" $@
+      echo "IGCM_sys_GetDate_FichWork :" $@
     fi
     # donne la date filesys d'un fichier sur la machine work
@@ -1015,5 +1015,5 @@
     IGCM_debug_PushStack "IGCM_sys_FichArchive" $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_GetDate_FichArchive :" $@
+      echo "IGCM_sys_GetDate_FichArchive :" $@
     fi
     IGCM_debug_PopStack "IGCM_sys_FichArchive"
@@ -1026,5 +1026,5 @@
     IGCM_debug_PushStack "IGCM_sys_rebuild" -- $@
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_rebuild :" $@
+      echo "IGCM_sys_rebuild :" $@
     fi
     /gpfs1/home/sebastien/REBUILD/rebuild -f -o $@
@@ -1043,5 +1043,5 @@
     IGCM_debug_PushStack "IGCM_sys_activ_variables"
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_activ_variables "
+      echo "IGCM_sys_activ_variables "
     fi
 
@@ -1064,5 +1064,5 @@
     IGCM_debug_PushStack "IGCM_sys_desactiv_variables"
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_desactiv_variables "
+      echo "IGCM_sys_desactiv_variables "
     fi
 # --------------------------------------------------------------------
@@ -1085,5 +1085,5 @@
 set -x
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_build_run_file " $@
+      echo "IGCM_sys_build_run_file " $@
     fi
 
@@ -1094,31 +1094,31 @@
 
     (( NUM_PROC_ATM = BATCH_NUM_PROC_TOT - NUM_PROC_OASIS - NUM_PROC_OCE ))
-    
+
     if [ $1 = MPI2 ]; then
        echo "IGCM_sys_build_run_file : error - MPI2 not available on iitm. "
        IGCM_debug_Exit "IGCM_sys_build_run_file"
     elif [ $1 = MPI1 ]; then
-	cat <<EOF > run_file
+      cat <<EOF > run_file
 ./oasis
 EOF
 
-	typeset i
-	(( i = 0 ))
-	while [ ${i} -lt ${NUM_PROC_ATM} ] ; do
-	    (( i = i + 1 ))
-	    cat <<EOF >> run_file
+      typeset i
+      (( i = 0 ))
+      while [ ${i} -lt ${NUM_PROC_ATM} ] ; do
+        (( i = i + 1 ))
+        cat <<EOF >> run_file
 ./lmdz.x
 EOF
-	done
+      done
 
         (( i = 0 ))
         while [ ${i} -lt ${NUM_PROC_OCE} ] ; do
-            (( i = i + 1 ))
-	    cat <<EOF >> run_file
+          (( i = i + 1 ))
+          cat <<EOF >> run_file
 ./opa.xx
 EOF
         done
 
-	wc -l run_file
+      wc -l run_file
     fi
 set +x
@@ -1131,5 +1131,5 @@
     IGCM_debug_PushStack "IGCM_sys_check_quota"
     if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_check_quota"
+      echo "IGCM_sys_check_quota"
     fi
     IGCM_debug_PopStack "IGCM_sys_check_quota"